import { aws_lambda as lambda } from 'aws-cdk-lib';
import { Construct } from 'constructs';
/**
 * Lambda Function wrapper that uses pre-bundled JavaScript file from the known folder `lib/lambdas` with some reasonable defaults. The bundled files are put there by projen tasks that use esbuild to bundle TypeScript files from `src/lambdas`. This code is found in `.projenrc.js`.
 */
export declare class BundledNodejsFunction extends lambda.Function {
    readonly props: lambda.FunctionOptions;
    static singleton(scope: Construct, id: string, props: lambda.FunctionOptions): BundledNodejsFunction;
    constructor(scope: Construct, id: string, props: lambda.FunctionOptions, srcId?: string);
}
